Package org.eclipse.mat.query

# Interface ISelectionProvider

All Known Implementing Classes:
  `DuplicatedClassesQuery`, `Path2GCRootsQuery.Tree`, `RefinedStructuredResult`, `RefinedTable`, `RefinedTree`

public interface ISelectionProvider
Description of how to deal with a table or tree.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ISelectionProvider`
`EMPTY`
A basic selection provider where nothing is selected or expanded.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isExpanded(Object row)`
Should this node be expanded.
`boolean`
`isSelected(Object row)`
Has the user selected this row?

## Field Details

### EMPTY

static final ISelectionProvider EMPTY
A basic selection provider where nothing is selected or expanded.

## Method Details

### isSelected

boolean isSelected(Object row)
Has the user selected this row?

Parameters:
  `row` - the chosen row
Returns:
  true if selected

### isExpanded

boolean isExpanded(Object row)
Should this node be expanded.

Parameters:
  `row` - the chosen row
Returns:
  true if it should be expanded.